from setuptools import setup

with open('README.md', 'r') as oF:
	long_description=oF.read()

setup(
	name='brain-oc',
	version='1.1.9',
	description='Brain contains a service to manage users and permissions',
	long_description=long_description,
	long_description_content_type='text/markdown',
	url='https://ouroboroscoding.com/body/brain',
	project_urls={
		'Documentation': 'https://ouroboroscoding.com/body/brain',
		'Source': 'https://github.com/ouroboroscoding/brain',
		'Tracker': 'https://github.com/ouroboroscoding/brain/issues'
	},
	keywords=['rest','microservices'],
	author='Chris Nasr - Ouroboros Coding Inc.',
	author_email='chris@ouroboroscoding.com',
	license='Custom',
	packages=['brain'],
	package_data={'brain': [
		'definitions/*.json',
		'upgrades/*'
	]},
	python_requires='>=3.10',
	install_requires=[
		'body-oc>=1.0.2',
		'config-oc>=1.0.3,<1.1',
		'google-api-python-client>=2.118.0',
		'google-auth-oauthlib>=1.2.0,<1.3',
		'jsonb>=1.0.0,<1.1',
		'recaptcha2>=0.1,<0.2',
		'rest-oc>=1.3.0,<1.4.0',
		'strings-oc>=1.0.5,<1.1',
		'tools-oc>=1.2.4,<1.3',
		'undefined-oc>=1.0.0,<1.1',
		'upgrade-oc>=1.0.2,<1.1'
	],
	entry_points={
		'console_scripts': ['brain=brain.__main__:cli']
	},
	zip_safe=True
)